--
-- Fuell_Level_Claas_Lexion_780TT
--


Fuell_Level_Claas_Lexion_780TT = {};

function Fuell_Level_Claas_Lexion_780TT.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function Fuell_Level_Claas_Lexion_780TT:load(xmlFile)
	self.combineName = getXMLString(xmlFile, "vehicle.name.de");
	X, Y, Z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.Fuell_Level_Claas_Lexion_780TTsAnzeigenPosition#Position"));
end;

function Fuell_Level_Claas_Lexion_780TT:keyEvent(unicode, sym, modifier, isDown)
end;

function Fuell_Level_Claas_Lexion_780TT:update(dt)
	local prozent =
self.grainTankFillLevel/self.grainTankCapacity*100;
if prozent > 0
then
renderText(0.78, 0.4, 0.02,""..string.format(" John Deere W660i: %.0f (%d%%)",
self.grainTankFillLevel-1, prozent).."");
end;
	
end;

function Fuell_Level_Claas_Lexion_780TT:draw()
end;

function Fuell_Level_Claas_Lexion_780TT:onEnter()
end;

function Fuell_Level_Claas_Lexion_780TT:onLeave()
end;

function Fuell_Level_Claas_Lexion_780TT:delete()
end;

function Fuell_Level_Claas_Lexion_780TT:mouseEvent(posX, posY, isDown, isUp, button)
end;